pandoc-2.17.1.1: Conversion between markup formats

Copyright | Copyright (C) 2006-2022 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.LaTeX

Description

Conversion of LaTeX to `Pandoc` document.

Synopsis

- readLaTeX :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc
- applyMacros :: (PandocMonad m, HasMacros s, HasReaderOptions s) => Text -> ParserT Sources s m Text
- rawLaTeXInline :: (PandocMonad m, HasMacros s, HasReaderOptions s) => ParserT Sources s m Text
- rawLaTeXBlock :: (PandocMonad m, HasMacros s, HasReaderOptions s) => ParserT Sources s m Text
- inlineCommand :: PandocMonad m => ParserT Sources ParserState m Inlines

# Documentation

readLaTeX #

Arguments

:: (PandocMonad m, ToSources a) |
=> ReaderOptions | Reader options
-> a | Input to parse
-> m Pandoc |

Parse LaTeX from string and return `Pandoc` document.

applyMacros :: (PandocMonad m, HasMacros s, HasReaderOptions s) => Text -> ParserT Sources s m Text #

rawLaTeXInline :: (PandocMonad m, HasMacros s, HasReaderOptions s) => ParserT Sources s m Text #

rawLaTeXBlock :: (PandocMonad m, HasMacros s, HasReaderOptions s) => ParserT Sources s m Text #

inlineCommand :: PandocMonad m => ParserT Sources ParserState m Inlines #